DL_EncryptorImpl< SCHEME_OPTIONS > Class Template Reference

Discrete Log (DL) encryptor implementation. More...

Inheritance diagram for DL_EncryptorImpl< SCHEME_OPTIONS >:

## Additional Inherited Members

Public Types inherited from DL_ObjectImpl< DL_EncryptorBase< SCHEME_OPTIONS::Element >, SCHEME_OPTIONS, SCHEME_OPTIONS::PublicKey >
typedef SCHEME_OPTIONS::PublicKey ::Element | Element
Public Types inherited from DL_ObjectImplBase< DL_EncryptorBase< SCHEME_OPTIONS::Element >, SCHEME_OPTIONS, SCHEME_OPTIONS::PublicKey >
typedef SCHEME_OPTIONS | SchemeOptions
typedef SCHEME_OPTIONS::PublicKey ::Element | Element
Public Types inherited from DL_EncryptorBase< SCHEME_OPTIONS::Element >
typedef SCHEME_OPTIONS::Element | Element
Public Types inherited from DL_CryptoSystemBase< PK_Encryptor, DL_PublicKey< SCHEME_OPTIONS::Element > >
typedef DL_Base< DL_PublicKey< SCHEME_OPTIONS::Element > >::Element | Element
Public Member Functions inherited from DL_ObjectImplBase< DL_EncryptorBase< SCHEME_OPTIONS::Element >, SCHEME_OPTIONS, SCHEME_OPTIONS::PublicKey >
PrivateKey & | AccessPrivateKey ()
PublicKey & | AccessPublicKey ()
const SCHEME_OPTIONS::PublicKey & | GetKey () const
SCHEME_OPTIONS::PublicKey & | AccessKey ()
Public Member Functions inherited from AlgorithmImpl< DL_EncryptorBase< SCHEME_OPTIONS::Element >, SCHEME_OPTIONS::AlgorithmInfo >
std::string | AlgorithmName () const
Public Member Functions inherited from DL_EncryptorBase< SCHEME_OPTIONS::Element >
void | Encrypt (RandomNumberGenerator &rng, const byte *plaintext, size_t plaintextLength, byte *ciphertext, const NameValuePairs &parameters=g_nullNameValuePairs) const
| Encrypt a byte string. More...
Public Member Functions inherited from DL_CryptoSystemBase< PK_Encryptor, DL_PublicKey< SCHEME_OPTIONS::Element > >
size_t | MaxPlaintextLength (size_t ciphertextLength) const
size_t | CiphertextLength (size_t plaintextLength) const
bool | ParameterSupported (const char *name) const
Public Member Functions inherited from PK_Encryptor
virtual BufferedTransformation * | CreateEncryptionFilter (RandomNumberGenerator &rng, BufferedTransformation *attachment=NULL, const NameValuePairs &parameters=g_nullNameValuePairs) const
| Create a new encryption filter. More...
Public Member Functions inherited from PK_CryptoSystem
virtual size_t | FixedCiphertextLength () const
| Provides the fixed ciphertext length, if one exists. More...
virtual size_t | FixedMaxPlaintextLength () const
| Provides the maximum plaintext length given a fixed ciphertext length. More...
Public Member Functions inherited from PublicKeyAlgorithm
CryptoMaterial & | AccessMaterial ()
| Retrieves a reference to a Public Key. More...
const CryptoMaterial & | GetMaterial () const
| Retrieves a reference to a Public Key. More...
virtual const PublicKey & | GetPublicKey () const
| Retrieves a reference to a Public Key. More...
Public Member Functions inherited from AsymmetricAlgorithm
void | BERDecode (BufferedTransformation &bt)
| Loads this object from a BufferedTransformation. More...
void | DEREncode (BufferedTransformation &bt) const
| Saves this object to a BufferedTransformation. More...
Public Member Functions inherited from Algorithm
| Algorithm (bool checkSelfTestStatus=true)
| Interface for all crypto algorithms. More...
Public Member Functions inherited from Clonable
virtual Clonable * | Clone () const
| Copies this object. More...
Static Public Member Functions inherited from AlgorithmImpl< DL_EncryptorBase< SCHEME_OPTIONS::Element >, SCHEME_OPTIONS::AlgorithmInfo >
static std::string | StaticAlgorithmName ()

## Detailed Description

### template<class SCHEME_OPTIONS>
class DL_EncryptorImpl< SCHEME_OPTIONS >

Discrete Log (DL) encryptor implementation.

Template Parameters

  SCHEME_OPTIONS | options for the scheme

Definition at line 1876 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h